﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>
    </ProductVersion>
    <SchemaVersion>
    </SchemaVersion>
    <ProjectTypeGuids>{01074E5A-9000-460e-AB81-3A9263818D40};{349c5851-65df-11da-9384-00065b846f21};{F184B08F-C81C-45f6-A57F-5ABD9991F28F}</ProjectTypeGuids>
    <ProjectGuid>{E1169A99-0F53-4751-B174-0AFAAC91017E}</ProjectGuid>
    <OutputType>Library</OutputType>
    <RootNamespace>
    </RootNamespace>
    <AssemblyName>Application.Server</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <LightSwitchVersion>v2.0</LightSwitchVersion>
    <FileAlignment>512</FileAlignment>
    <LightSwitchProjectType>Server</LightSwitchProjectType>
    <OptionExplicit>On</OptionExplicit>
    <OptionCompare>Binary</OptionCompare>
    <OptionStrict>Off</OptionStrict>
    <OptionInfer>On</OptionInfer>
    <IgnoreDeployManagedRuntimeVersion>True</IgnoreDeployManagedRuntimeVersion>
    <UseDeclareParametersXMLInMsDeploy>False</UseDeclareParametersXMLInMsDeploy>
    <LightSwitchPath Condition=" '$(LightSwitchPath)' == '' ">$(Registry:HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\VisualStudio\11.0@InstallDir)</LightSwitchPath>
    <WCFRIASERVICESSDKPath Condition=" '$(WCFRIASERVICESSDKPath)' == '' ">$(Registry:HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\WCFRIAServices\v1.0@InstallPath)</WCFRIASERVICESSDKPath>
    <WCFRIASERVICESSDKPath Condition=" '$(WCFRIASERVICESSDKPath)' == '' ">$(Registry:HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\WCFRIAServices\v1.0@InstallPath)</WCFRIASERVICESSDKPath>
    <SilverlightApplicationList>{fc80208d-ee77-461f-95cc-fedbb944b318}|..\Client\Client.vbproj|Web|False</SilverlightApplicationList>
    <UseIISExpress>false</UseIISExpress>
    <IISExpressSSLPort />
    <IISExpressAnonymousAuthentication />
    <IISExpressWindowsAuthentication />
    <IISExpressUseClassicPipelineMode />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <DefineDebug>true</DefineDebug>
    <DefineTrace>true</DefineTrace>
    <OutputPath>bin\Debug\</OutputPath>
    <DocumentationFile>MIAM_Chemist.Server.xml</DocumentationFile>
    <NoWarn>42016,41999,42017,42018,42019,42032,42036,42020,42021,42022</NoWarn>
    <UseDesignTimeFeatures>true</UseDesignTimeFeatures>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <DefineDebug>false</DefineDebug>
    <DefineTrace>true</DefineTrace>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DocumentationFile>MIAM_Chemist.Server.xml</DocumentationFile>
    <NoWarn>42016,41999,42017,42018,42019,42032,42036,42020,42021,42022</NoWarn>
    <UseDesignTimeFeatures>false</UseDesignTimeFeatures>
  </PropertyGroup>
  <ItemGroup>
    <Import Include="Microsoft.VisualBasic" />
    <Import Include="System" />
    <Import Include="System.Linq" />
    <Import Include="System.Collections.Generic" />
    <Import Include="System.Xml" />
    <Import Include="System.Net" />
    <Import Include="Microsoft.LightSwitch" />
    <Import Include="Microsoft.LightSwitch.Framework" />
    <Import Include="Microsoft.LightSwitch.Security.Server" />
  </ItemGroup>
  <ItemGroup>
    <Reference Include="FilterControl.Common">
      <HintPath>..\_Pvt_Extensions\FilterControl\Server\Reference\FilterControl.Common.dll</HintPath>
    </Reference>
    <Reference Include="FilterControl.Server">
      <HintPath>..\_Pvt_Extensions\FilterControl\Server\Reference\FilterControl.Server.dll</HintPath>
    </Reference>
    <Reference Include="Luminous.Themes.v1_0.Common">
      <HintPath>..\_Pvt_Extensions\Luminous.Themes.v1_0\Server\Reference\Luminous.Themes.v1_0.Common.dll</HintPath>
    </Reference>
    <Reference Include="Luminous.Themes.v1_0.Server">
      <HintPath>..\_Pvt_Extensions\Luminous.Themes.v1_0\Server\Reference\Luminous.Themes.v1_0.Server.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.LightSwitch.Extensions.Server">
      <HintPath>..\_Pvt_Extensions\Microsoft.LightSwitch.Extensions\ServerGen\Reference\Microsoft.LightSwitch.Extensions.Server.dll</HintPath>
    </Reference>
    <Reference Include="OfficeIntegration.Common">
      <HintPath>..\_Pvt_Extensions\OfficeIntegration\ServerGen\Reference\OfficeIntegration.Common.dll</HintPath>
    </Reference>
    <Reference Include="OfficeIntegration.Server">
      <HintPath>..\_Pvt_Extensions\OfficeIntegration\Server\Reference\OfficeIntegration.Server.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.ComponentModel.Composition" />
    <Reference Include="System.ComponentModel.DataAnnotations" />
    <Reference Include="System.Core" />
    <Reference Include="System.Data" />
    <Reference Include="System.Data.Entity" />
    <Reference Include="System.Runtime.Serialization" />
    <Reference Include="System.Xml" />
    <Reference Include="PresentationCore" />
    <Reference Include="Microsoft.LightSwitch">
      <HintPath>$(LightSwitchPath)\LightSwitch\Client\Microsoft.LightSwitch.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="Microsoft.LightSwitch.AppBridge">
      <HintPath>$(LightSwitchPath)\LightSwitch\Server\Microsoft.LightSwitch.AppBridge.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="Microsoft.LightSwitch.Base.Server">
      <HintPath>$(LightSwitchPath)\LightSwitch\Server\Microsoft.LightSwitch.Base.Server.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="Microsoft.LightSwitch.ExportProvider, Version=10.0.11.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35">
      <HintPath>$(LightSwitchPath)\LightSwitch\Client\Microsoft.LightSwitch.ExportProvider.dll</HintPath>
      <SpecificVersion>True</SpecificVersion>
      <Private>True</Private>
    </Reference>
    <Reference Include="Microsoft.LightSwitch.CodeMarker, Version=11.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35">
      <HintPath>$(LightSwitchPath)\LightSwitch\Client\Microsoft.LightSwitch.CodeMarker.dll</HintPath>
      <SpecificVersion>True</SpecificVersion>
      <Private>True</Private>
    </Reference>
    <Reference Include="Microsoft.LightSwitch.ManifestService">
      <HintPath>$(LightSwitchPath)\LightSwitch\Server\Microsoft.LightSwitch.ManifestService.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="Microsoft.LightSwitch.Model.Xaml">
      <HintPath>$(LightSwitchPath)\LightSwitch\Server\Microsoft.LightSwitch.Model.Xaml.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="Microsoft.LightSwitch.Server">
      <HintPath>$(LightSwitchPath)\LightSwitch\Server\Microsoft.LightSwitch.Server.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="Microsoft.LightSwitch.Server.Internal">
      <HintPath>$(LightSwitchPath)\LightSwitch\Server\Microsoft.LightSwitch.Server.Internal.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.LightSwitch.Server.Host">
      <HintPath>$(LightSwitchPath)\LightSwitch\Server\Microsoft.LightSwitch.Server.Host.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.ServiceModel.PollingDuplex">
      <HintPath>$(LightSwitchPath)\LightSwitch\Server\System.ServiceModel.PollingDuplex.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.Data.Edm">
      <Private>True</Private>
    </Reference>
    <Reference Include="Microsoft.Data.OData">
      <Private>True</Private>
    </Reference>
    <Reference Include="Microsoft.Data.Services">
      <Private>True</Private>
    </Reference>
    <Reference Include="Microsoft.Data.Services.Client">
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Spatial">
      <Private>True</Private>
    </Reference>
    <Reference Include="System.ServiceModel.DomainServices.EntityFramework">
      <HintPath>$(WCFRIASERVICESSDKPath)\v1.0\Libraries\Server\System.ServiceModel.DomainServices.EntityFramework.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.ServiceModel.DomainServices.Hosting">
      <HintPath>$(WCFRIASERVICESSDKPath)\v1.0\Libraries\Server\System.ServiceModel.DomainServices.Hosting.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.ServiceModel.DomainServices.Hosting.OData">
      <HintPath>$(WCFRIASERVICESSDKPath)\v1.0\Libraries\Server\System.ServiceModel.DomainServices.Hosting.OData.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.ServiceModel.DomainServices.Server">
      <HintPath>$(WCFRIASERVICESSDKPath)\v1.0\Libraries\Server\System.ServiceModel.DomainServices.Server.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="Application.Common">
      <HintPath>Common\bin\Application.Common.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup Condition="'$(BuildingInsideVisualStudio)' == 'true'">
    <Reference Include="Application.Common">
      <HintPath>Common\bin\Application.Common.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup Condition="'$(BuildingInsideVisualStudio)' != 'true'">
    <CommandLineProjectReference Include="..\Common\Common.vbproj">
      <Name>Common</Name>
      <InProject>false</InProject>
    </CommandLineProjectReference>
  </ItemGroup>
  <ItemGroup>
    <ModelReference Include="..\Common\Common.vbproj">
      <Visible>false</Visible>
    </ModelReference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="My Project\AssemblyInfo.vb">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="My Project\Application.Designer.vb">
      <AutoGen>True</AutoGen>
      <DependentUpon>Application.myapp</DependentUpon>
    </Compile>
    <Compile Include="My Project\Settings.Designer.vb">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
    <Compile Include="UserCode\ApplicationDataService.vb" />
    <Compile Include="UserCode\Helpers.vb" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="Web\MIAM_Chemist.Client.xap" />
    <None Include="My Project\Application.myapp">
      <Generator>MyApplicationCodeGenerator</Generator>
      <LastGenOutput>Application.Designer.vb</LastGenOutput>
    </None>
    <None Include="My Project\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <CustomToolNamespace>My</CustomToolNamespace>
      <LastGenOutput>Settings.Designer.vb</LastGenOutput>
    </None>
    <Content Include="Web.config" />
    <Content Include="Web.Debug.config">
      <DependentUpon>Web.config</DependentUpon>
    </Content>
    <Content Include="Web.Release.config">
      <DependentUpon>Web.config</DependentUpon>
    </Content>
  </ItemGroup>
  <ItemGroup>
    <LightSwitchModel Include="My Project\Service.lsml">
      <ProjectCritical>true</ProjectCritical>
    </LightSwitchModel>
  </ItemGroup>
  <ItemGroup>
    <AppDesigner Include="My Project\" />
  </ItemGroup>
  <ItemGroup>
    <Folder Include="DataLogic\" />
    <Folder Include="DataSources\" />
  </ItemGroup>
  <PropertyGroup>
    <VisualStudioVersion Condition="'$(VisualStudioVersion)' == ''">11.0</VisualStudioVersion>
    <VSToolsPath Condition="'$(VSToolsPath)' == ''">$(MSBuildExtensionsPath32)\Microsoft\VisualStudio\v$(VisualStudioVersion)</VSToolsPath>
  </PropertyGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.VisualBasic.targets" />
  <Import Project="$(VSToolsPath)\WebApplications\Microsoft.WebApplication.targets" Condition="'$(VSToolsPath)' != ''" />
  <Import Project="$(MSBuildExtensionsPath32)\Microsoft\VisualStudio\LightSwitch\$(LightSwitchVersion)\Microsoft.LightSwitch.Build.Tasks.targets" />
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  <ProjectExtensions>
    <VisualStudio>
      <FlavorProperties GUID="{349c5851-65df-11da-9384-00065b846f21}">
        <WebProjectProperties>
          <UseIIS>False</UseIIS>
          <AutoAssignPort>True</AutoAssignPort>
          <DevelopmentServerPort>7290</DevelopmentServerPort>
          <DevelopmentServerVPath>/</DevelopmentServerVPath>
          <IISUrl>
          </IISUrl>
          <NTLMAuthentication>False</NTLMAuthentication>
          <UseCustomServer>False</UseCustomServer>
          <CustomServerUrl>
          </CustomServerUrl>
          <SaveServerSettingsInUserFile>False</SaveServerSettingsInUserFile>
        </WebProjectProperties>
      </FlavorProperties>
      <FlavorProperties GUID="{01074E5A-9000-460e-AB81-3A9263818D40}" Configuration="Debug|Any CPU">
        <SpecializedConfiguration />
      </FlavorProperties>
      <FlavorProperties GUID="{01074E5A-9000-460e-AB81-3A9263818D40}" Configuration="Release|Any CPU">
        <SpecializedConfiguration />
      </FlavorProperties>
    </VisualStudio>
  </ProjectExtensions>
</Project>